# pandas.Series.dt.month_name

`Series.dt.``month_name`(*args, **kwargs)

  Return the month names of the DateTimeIndex with specified locale.

  New in version 0.23.0.

  Parameters:

  locale : str, optional

  > Locale determining the language in which to return the month name. Default is English locale.

  Returns:

  Index

  > Index of month names.

  Examples

      >>> idx = pd.date_range(start='2018-01', freq='M', periods=3)
      >>> idx
      DatetimeIndex(['2018-01-31', '2018-02-28', '2018-03-31'],
                    dtype='datetime64[ns]', freq='M')
      >>> idx.month_name()
      Index(['January', 'February', 'March'], dtype='object')

Scroll To Top